%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name inherits

Name: %{?scl_prefix}nodejs-inherits
Version: 2.0.3
Release: 1%{?dist}
Summary: Browser-friendly inheritance fully compatible with standard node
License: ISC
Group: Development/Libraries
URL: https://github.com/isaacs/inherits#readme
Source0: https://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr inherits.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr inherits_browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

%changelog
